%define name php5-esmtp
%define version 5.0.3
%define rversion 0.3.1

%define modname esmtp
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A34_%{modname}.ini

Summary:	ESMTP client extenion for PHP
Name:		%{name}
Version:	%{version}_%{rversion}
Release:	%mkrel 2
Group:		System/Servers
License:	PHP License
URL:		http://pecl.php.net/package/esmtp
Source0:	esmtp-%{rversion}.tar.bz2
Patch0:		esmtp-0.3.1-compile_fix.diff.bz2
BuildRequires:  php5-devel
BuildRequires:	libesmtp-devel >= 1.0.3r1-1mdk
BuildRequires:	openssl-devel
BuildRoot:	%{_tmppath}/%{name}-root

%description
Esmtp is a wrapper for SMTP client library based on the libESMTP
library. You can use it to send messages using internal SASL, and
external/openssl SSL support.

%prep

%setup -q -n esmtp-%{rversion}
%patch0 -p0

%build

php5ize
%configure2_5x \
    --with-%{modname}=shared,%{_prefix}

%make
mv modules/*.so .

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/php5/extensions
install -d %{buildroot}%{_sysconfdir}/php5.d

install -m755 %{soname} %{buildroot}%{_libdir}/php5/extensions/

cat > %{buildroot}%{_sysconfdir}/php5.d/%{inifile} << EOF
extension = %{soname}
EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
[ "../package.xml" != "/" ] && rm -f ../package.xml

%files 
%defattr(-,root,root)
%doc tests CREDITS NOTES TODO
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php5.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php5/extensions/%{soname}

%changelog
* Sun Mar 20 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_0.3.1-2mdk
- use the %%mkrel macro

* Sat Feb 12 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_0.3.1-1mdk
- initial Mandrakelinux package

* Sat Jan 15 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_0.3.1-2mdk
- rebuild due to hardened-php-0.2.6
- cleanups

* Sat Jan 08 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_0.3.1-1mdk
- initial mandrake package
- added P0
